Subject: bug#45701: 28.0.50; [feature/native-comp] (33b8ce8) `M-x report-emacs-bug` error: "Wrong type argument: stringp, nil"

From: Andrea Corallo <[email-masked]>
Date: Tue, 09 Feb 2021 21:23:55 +0000

Justin Schell <[email-masked]> writes:

>> I think we are likely to be interested only in the last occurence.  You
>> can ignore the breakpoint 769 times to see what's going on:
>>
>> (gdb) b wrong_type_argument
>> Breakpoint 5 at 0x58a0a2: file data.c, line 143.
>> (gdb) ignore 5 769
>> Will ignore next 769 crossings of breakpoint 5.
>> (gdb) run
>
> I apparently double-counted before; it was actually only 385
> occurrences, but I was able to actually get it to break after
> executing `M-x report-emacs-bug` this time. I can try to debug this
> later, but I imagine you'll have an idea of what's going on this time.

[...]

> Thread 2 hit Breakpoint 2, wrong_type_argument (predicate=XIL(0x9),
> value=XIL(0x145813f50)) at data.c:143
> 143   xsignal2 (Qwrong_type_argument, predicate, value);
> (gdb) bt
> #0  wrong_type_argument (predicate=XIL(0x9), value=XIL(0x145813f50))
> at data.c:143
> #1  0x0000000100222b2e in dump_discard_mem (mem=0x14581345d,
> size=5461062744) at pdumper.c:4650
> #2  0xfffffffffffffffe in ?? ()
> #3  0x00000001463fd225 in ?? ()
> #4  0x00007ffeefbfed10 in ?? ()
> #5  0x000000010021f5a9 in HASH_VALUE (h=0x14581345d, idx=5461062744)
> at ./lisp.h:2380
> #6  0x0000000145813458 in ?? ()
> #7  0x000000014581345d in ?? ()
> #8  0x00007ffeefbfed40 in ?? ()
> #9  0x000000010021a271 in thaw_hash_tables () at pdumper.c:5671
> Backtrace stopped: frame did not save the PC
> (gdb) c
> Continuing.
> [New Thread 0x1c03 of process 49252]
> [New Thread 0x1d03 of process 49252]
> [New Thread 0x1e03 of process 49252]
> [New Thread 0x1f03 of process 49252]
> [New Thread 0x2003 of process 49252]
> [New Thread 0x252b of process 49252]
>
> Thread 2 hit Breakpoint 2, 0x00000001003cb6a0 in ?? ()
> (gdb) bt
> #0  0x00000001003cb6a0 in ?? ()
> #1  0x00000001001ba3cd in Ffind_file_name_handler (filename=XIL(0),
> operation=make_fixnum(18049580734087168))
>     at fileio.c:304
> #2  0x01007ffe00000002 in ?? ()
> #3  0x0000000000000000 in ?? ()
> [New Thread 0x2657 of process 49252]
>
> Lisp Backtrace:
> "native-compile-setup-environment-variables" (0xefbfa558)

Okay this is odd, in feature/native-comp we don't have a function called
`native-compile-setup-environment-variables' so I guess this is coming
from somewhere else, look like the problem is there.

Do you know where this function is coming from?

  Andrea

> "apply" (0xefbfa808)
> "native--compile-async" (0xefbfaf50)
> "defalias" (0xefbfb150)
> "require" (0xefbfbb60)
> "byte-code" (0xefbfc340)
> "require" (0xefbfcd50)
> "byte-code" (0xefbfd470)
> "command-execute" (0xefbfdf20)
> "execute-extended-command" (0xefbfe2a0)
> "funcall-interactively" (0xefbfe298)
> "command-execute" (0xefbfecd0)
> (gdb) c
> Continuing.
> [New Thread 0x210f of process 49252]
> ```
>

-- 
[email-masked]